mesos-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: Mesos » gcc,--verbose --enable-libevent --enable-ssl,GLOG_v=1 MESOS_VERBOSE=1,centos:7,(docker||Hadoop)&&(!ubuntu-us1) #1907
Date Wed, 30 Mar 2016 20:58:46 GMT
See <https://builds.apache.org/job/Mesos/COMPILER=gcc,CONFIGURATION=--verbose%20--enable-libevent%20--enable-ssl,ENVIRONMENT=GLOG_v=1%20MESOS_VERBOSE=1,OS=centos%3A7,label_exp=(docker%7C%7CHadoop)&&(!ubuntu-us1)/1907/changes>

Changes:

[adam] Made the Action enum optional to support upgrades (MESOS-5031).

[adam] Rescind all outstanding offers to satisfy weights update.

------------------------------------------
[...truncated 2209 lines...]
  httpcomponents-core.noarch 0:4.2.4-6.el7                                      
  hwdata.x86_64 0:0.252-8.1.el7                                                 
  jakarta-commons-httpclient.noarch 1:3.1-16.el7_0                              
  jasper-libs.x86_64 0:1.900.1-29.el7                                           
  java-1.7.0-openjdk.x86_64 1:1.7.0.99-2.6.5.0.el7_2                            
  java-1.7.0-openjdk-devel.x86_64 1:1.7.0.99-2.6.5.0.el7_2                      
  java-1.7.0-openjdk-headless.x86_64 1:1.7.0.99-2.6.5.0.el7_2                   
  java-1.8.0-openjdk.x86_64 1:1.8.0.77-0.b03.el7_2                              
  java-1.8.0-openjdk-headless.x86_64 1:1.8.0.77-0.b03.el7_2                     
  javamail.noarch 0:1.4.6-8.el7                                                 
  javapackages-tools.noarch 0:3.4.1-11.el7                                      
  javassist.noarch 0:3.16.1-10.el7                                              
  jbigkit-libs.x86_64 0:2.0-11.el7                                              
  jboss-ejb-3.1-api.noarch 0:1.0.2-10.el7                                       
  jboss-el-2.2-api.noarch 0:1.0.1-0.7.20120212git2fabd8.el7                     
  jboss-interceptors-1.1-api.noarch 0:1.0.2-0.9.20120319git49a904.el7           
  jboss-jaxrpc-1.1-api.noarch 0:1.0.1-7.el7                                     
  jboss-servlet-3.0-api.noarch 0:1.0.1-9.el7                                    
  jboss-transaction-1.1-api.noarch 0:1.0.1-8.el7                                
  jline.noarch 0:1.0-8.el7                                                      
  jsch.noarch 0:0.1.50-5.el7                                                    
  json-c.x86_64 0:0.11-4.el7_0                                                  
  jsoup.noarch 0:1.6.1-10.el7                                                   
  junit.noarch 0:4.11-8.el7                                                     
  jzlib.noarch 0:1.1.1-6.el7                                                    
  libICE.x86_64 0:1.0.9-2.el7                                                   
  libSM.x86_64 0:1.2.2-2.el7                                                    
  libX11.x86_64 0:1.6.3-2.el7                                                   
  libX11-common.noarch 0:1.6.3-2.el7                                            
  libXau.x86_64 0:1.0.8-2.1.el7                                                 
  libXcomposite.x86_64 0:0.4.4-4.1.el7                                          
  libXcursor.x86_64 0:1.1.14-2.1.el7                                            
  libXdamage.x86_64 0:1.1.4-4.1.el7                                             
  libXext.x86_64 0:1.3.3-3.el7                                                  
  libXfixes.x86_64 0:5.0.1-2.1.el7                                              
  libXfont.x86_64 0:1.5.1-2.el7                                                 
  libXft.x86_64 0:2.3.2-2.el7                                                   
  libXi.x86_64 0:1.7.4-2.el7                                                    
  libXinerama.x86_64 0:1.1.3-2.1.el7                                            
  libXrandr.x86_64 0:1.4.2-2.el7                                                
  libXrender.x86_64 0:0.9.8-2.1.el7                                             
  libXtst.x86_64 0:1.2.2-2.1.el7                                                
  libXxf86vm.x86_64 0:1.1.3-2.1.el7                                             
  libasyncns.x86_64 0:0.8-7.el7                                                 
  libdrm.x86_64 0:2.4.60-3.el7                                                  
  libfontenc.x86_64 0:1.1.2-3.el7                                               
  libjpeg-turbo.x86_64 0:1.2.90-5.el7                                           
  libogg.x86_64 2:1.3.0-7.el7                                                   
  libpciaccess.x86_64 0:0.13.4-2.el7                                            
  libpng.x86_64 2:1.5.13-7.el7_2                                                
  libsndfile.x86_64 0:1.0.25-10.el7                                             
  libthai.x86_64 0:0.1.14-9.el7                                                 
  libtiff.x86_64 0:4.0.3-14.el7                                                 
  libvorbis.x86_64 1:1.3.3-8.el7                                                
  libxcb.x86_64 0:1.11-4.el7                                                    
  libxshmfence.x86_64 0:1.2-1.el7                                               
  libxslt.x86_64 0:1.1.28-5.el7                                                 
  lksctp-tools.x86_64 0:1.0.13-3.el7                                            
  llvm.x86_64 0:3.4.2-8.el7                                                     
  llvm-libs.x86_64 0:3.4.2-8.el7                                                
  log4j.noarch 0:1.2.17-15.el7                                                  
  maven-wagon.noarch 0:2.4-3.el7                                                
  mesa-libEGL.x86_64 0:10.6.5-3.20150824.el7                                    
  mesa-libGL.x86_64 0:10.6.5-3.20150824.el7                                     
  mesa-libgbm.x86_64 0:10.6.5-3.20150824.el7                                    
  mesa-libglapi.x86_64 0:10.6.5-3.20150824.el7                                  
  mozjs17.x86_64 0:17.0.0-12.el7                                                
  nekohtml.noarch 0:1.9.14-13.el7                                               
  objectweb-asm.noarch 0:3.3.1-9.el7                                            
  pango.x86_64 0:1.36.8-2.el7                                                   
  pcsc-lite-libs.x86_64 0:1.8.8-6.el7                                           
  pixman.x86_64 0:0.32.6-3.el7                                                  
  plexus-cipher.noarch 0:1.7-5.el7                                              
  plexus-classworlds.noarch 0:2.4.2-8.el7                                       
  plexus-component-api.noarch 0:1.0-0.16.alpha15.el7                            
  plexus-containers-component-annotations.noarch 0:1.5.5-14.el7                 
  plexus-containers-container-default.noarch 0:1.5.5-14.el7                     
  plexus-interactivity.noarch 0:1.0-0.14.alpha6.el7                             
  plexus-interpolation.noarch 0:1.15-8.el7                                      
  plexus-sec-dispatcher.noarch 0:1.4-13.el7                                     
  plexus-utils.noarch 0:3.0.9-9.el7                                             
  polkit.x86_64 0:0.112-6.el7_2                                                 
  polkit-pkla-compat.x86_64 0:0.1-4.el7                                         
  psmisc.x86_64 0:22.20-9.el7                                                   
  pulseaudio-libs.x86_64 0:6.0-7.el7                                            
  python-javapackages.noarch 0:3.4.1-11.el7                                     
  python-lxml.x86_64 0:3.2.1-4.el7                                              
  qdox.noarch 0:1.12.1-9.el7                                                    
  regexp.noarch 0:1.5-13.el7                                                    
  sisu-inject-bean.noarch 0:2.3.0-11.el7                                        
  sisu-inject-plexus.noarch 0:2.3.0-11.el7                                      
  slf4j.noarch 0:1.7.4-3.el7                                                    
  tcp_wrappers-libs.x86_64 0:7.6-77.el7                                         
  tomcat-servlet-3.0-api.noarch 0:7.0.54-2.el7_1                                
  ttmkfdir.x86_64 0:3.0.9-42.el7                                                
  tzdata-java.noarch 0:2016c-1.el7                                              
  xalan-j2.noarch 0:2.7.1-23.el7                                                
  xbean.noarch 0:3.13-6.el7                                                     
  xerces-j2.noarch 0:2.11.0-17.el7_0                                            
  xml-commons-apis.noarch 0:1.4.01-16.el7                                       
  xml-commons-resolver.noarch 0:1.2-15.el7                                      
  xorg-x11-font-utils.x86_64 1:7.5-20.el7                                       
  xorg-x11-fonts-Type1.noarch 0:7.5-9.el7                                       

Complete!
 ---> 4935bfbc082c
Removing intermediate container 08060b062f35
Step 6 : RUN yum install -y java-1.8.0-openjdk-devel python-devel zlib-devel libcurl-devel
openssl-devel cyrus-sasl-devel cyrus-sasl-md5 apr-devel subversion-devel apr-utils-devel libevent-devel
libev-devel
 ---> Running in 9db03b12b8f3
Loaded plugins: fastestmirror, ovl
Loading mirror speeds from cached hostfile
 * base: mirror.chpc.utah.edu
 * epel: ftp.osuosl.org
 * extras: ftp.osuosl.org
 * updates: centos-distro.cavecreek.net
No package apr-utils-devel available.
Resolving Dependencies
--> Running transaction check
---> Package apr-devel.x86_64 0:1.4.8-3.el7 will be installed
---> Package cyrus-sasl-devel.x86_64 0:2.1.26-20.el7_2 will be installed
--> Processing Dependency: cyrus-sasl(x86-64) = 2.1.26-20.el7_2 for package: cyrus-sasl-devel-2.1.26-20.el7_2.x86_64
---> Package cyrus-sasl-md5.x86_64 0:2.1.26-20.el7_2 will be installed
---> Package java-1.8.0-openjdk-devel.x86_64 1:1.8.0.77-0.b03.el7_2 will be installed
---> Package libcurl-devel.x86_64 0:7.29.0-25.el7.centos will be installed
---> Package libev-devel.x86_64 0:4.15-6.el7 will be installed
--> Processing Dependency: libev(x86-64) = 4.15-6.el7 for package: libev-devel-4.15-6.el7.x86_64
--> Processing Dependency: libev.so.4()(64bit) for package: libev-devel-4.15-6.el7.x86_64
---> Package libevent-devel.x86_64 0:2.0.21-4.el7 will be installed
--> Processing Dependency: libevent = 2.0.21-4.el7 for package: libevent-devel-2.0.21-4.el7.x86_64
--> Processing Dependency: libevent_pthreads-2.0.so.5()(64bit) for package: libevent-devel-2.0.21-4.el7.x86_64
--> Processing Dependency: libevent_openssl-2.0.so.5()(64bit) for package: libevent-devel-2.0.21-4.el7.x86_64
--> Processing Dependency: libevent_extra-2.0.so.5()(64bit) for package: libevent-devel-2.0.21-4.el7.x86_64
--> Processing Dependency: libevent_core-2.0.so.5()(64bit) for package: libevent-devel-2.0.21-4.el7.x86_64
--> Processing Dependency: libevent-2.0.so.5()(64bit) for package: libevent-devel-2.0.21-4.el7.x86_64
---> Package openssl-devel.x86_64 1:1.0.1e-51.el7_2.4 will be installed
--> Processing Dependency: krb5-devel(x86-64) for package: 1:openssl-devel-1.0.1e-51.el7_2.4.x86_64
---> Package python-devel.x86_64 0:2.7.5-34.el7 will be installed
---> Package subversion-devel.x86_64 0:1.7.14-10.el7 will be installed
--> Processing Dependency: apr-util-devel(x86-64) for package: subversion-devel-1.7.14-10.el7.x86_64
---> Package zlib-devel.x86_64 0:1.2.7-15.el7 will be installed
--> Running transaction check
---> Package apr-util-devel.x86_64 0:1.5.2-6.el7 will be installed
--> Processing Dependency: openldap-devel(x86-64) for package: apr-util-devel-1.5.2-6.el7.x86_64
--> Processing Dependency: libdb-devel(x86-64) for package: apr-util-devel-1.5.2-6.el7.x86_64
--> Processing Dependency: expat-devel(x86-64) for package: apr-util-devel-1.5.2-6.el7.x86_64
---> Package cyrus-sasl.x86_64 0:2.1.26-20.el7_2 will be installed
--> Processing Dependency: /sbin/service for package: cyrus-sasl-2.1.26-20.el7_2.x86_64
---> Package krb5-devel.x86_64 0:1.13.2-10.el7 will be installed
--> Processing Dependency: libverto-devel for package: krb5-devel-1.13.2-10.el7.x86_64
--> Processing Dependency: libselinux-devel for package: krb5-devel-1.13.2-10.el7.x86_64
--> Processing Dependency: libcom_err-devel for package: krb5-devel-1.13.2-10.el7.x86_64
--> Processing Dependency: keyutils-libs-devel for package: krb5-devel-1.13.2-10.el7.x86_64
---> Package libev.x86_64 0:4.15-6.el7 will be installed
---> Package libevent.x86_64 0:2.0.21-4.el7 will be installed
--> Running transaction check
---> Package expat-devel.x86_64 0:2.1.0-8.el7 will be installed
---> Package initscripts.x86_64 0:9.49.30-1.el7 will be installed
--> Processing Dependency: sysvinit-tools >= 2.87-5 for package: initscripts-9.49.30-1.el7.x86_64
--> Processing Dependency: iproute for package: initscripts-9.49.30-1.el7.x86_64
---> Package keyutils-libs-devel.x86_64 0:1.5.8-3.el7 will be installed
---> Package libcom_err-devel.x86_64 0:1.42.9-7.el7 will be installed
---> Package libdb-devel.x86_64 0:5.3.21-19.el7 will be installed
---> Package libselinux-devel.x86_64 0:2.2.2-6.el7 will be installed
--> Processing Dependency: libsepol-devel >= 2.1.9-1 for package: libselinux-devel-2.2.2-6.el7.x86_64
--> Processing Dependency: pkgconfig(libsepol) for package: libselinux-devel-2.2.2-6.el7.x86_64
--> Processing Dependency: pkgconfig(libpcre) for package: libselinux-devel-2.2.2-6.el7.x86_64
---> Package libverto-devel.x86_64 0:0.2.5-4.el7 will be installed
---> Package openldap-devel.x86_64 0:2.4.40-8.el7 will be installed
--> Running transaction check
---> Package iproute.x86_64 0:3.10.0-54.el7 will be installed
--> Processing Dependency: libxtables.so.10()(64bit) for package: iproute-3.10.0-54.el7.x86_64
---> Package libsepol-devel.x86_64 0:2.1.9-3.el7 will be installed
---> Package pcre-devel.x86_64 0:8.32-15.el7 will be installed
---> Package sysvinit-tools.x86_64 0:2.88-14.dsf.el7 will be installed
--> Running transaction check
---> Package iptables.x86_64 0:1.4.21-16.el7 will be installed
--> Processing Dependency: libnfnetlink.so.0()(64bit) for package: iptables-1.4.21-16.el7.x86_64
--> Processing Dependency: libnetfilter_conntrack.so.3()(64bit) for package: iptables-1.4.21-16.el7.x86_64
--> Running transaction check
---> Package libnetfilter_conntrack.x86_64 0:1.0.4-2.el7 will be installed
--> Processing Dependency: libmnl.so.0(LIBMNL_1.1)(64bit) for package: libnetfilter_conntrack-1.0.4-2.el7.x86_64
--> Processing Dependency: libmnl.so.0(LIBMNL_1.0)(64bit) for package: libnetfilter_conntrack-1.0.4-2.el7.x86_64
--> Processing Dependency: libmnl.so.0()(64bit) for package: libnetfilter_conntrack-1.0.4-2.el7.x86_64
---> Package libnfnetlink.x86_64 0:1.0.1-4.el7 will be installed
--> Running transaction check
---> Package libmnl.x86_64 0:1.0.3-7.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                    Arch     Version                    Repository
                                                                           Size
================================================================================
Installing:
 apr-devel                  x86_64   1.4.8-3.el7                base      188 k
 cyrus-sasl-devel           x86_64   2.1.26-20.el7_2            updates   310 k
 cyrus-sasl-md5             x86_64   2.1.26-20.el7_2            updates    56 k
 java-1.8.0-openjdk-devel   x86_64   1:1.8.0.77-0.b03.el7_2     updates   9.7 M
 libcurl-devel              x86_64   7.29.0-25.el7.centos       base      297 k
 libev-devel                x86_64   4.15-6.el7                 extras     97 k
 libevent-devel             x86_64   2.0.21-4.el7               base       85 k
 openssl-devel              x86_64   1:1.0.1e-51.el7_2.4        updates   1.2 M
 python-devel               x86_64   2.7.5-34.el7               base      391 k
 subversion-devel           x86_64   1.7.14-10.el7              base      288 k
 zlib-devel                 x86_64   1.2.7-15.el7               base       50 k
Installing for dependencies:
 apr-util-devel             x86_64   1.5.2-6.el7                base       76 k
 cyrus-sasl                 x86_64   2.1.26-20.el7_2            updates    88 k
 expat-devel                x86_64   2.1.0-8.el7                base       56 k
 initscripts                x86_64   9.49.30-1.el7              base      429 k
 iproute                    x86_64   3.10.0-54.el7              base      526 k
 iptables                   x86_64   1.4.21-16.el7              base      424 k
 keyutils-libs-devel        x86_64   1.5.8-3.el7                base       37 k
 krb5-devel                 x86_64   1.13.2-10.el7              base      649 k
 libcom_err-devel           x86_64   1.42.9-7.el7               base       30 k
 libdb-devel                x86_64   5.3.21-19.el7              base       38 k
 libev                      x86_64   4.15-6.el7                 extras     44 k
 libevent                   x86_64   2.0.21-4.el7               base      214 k
 libmnl                     x86_64   1.0.3-7.el7                base       23 k
 libnetfilter_conntrack     x86_64   1.0.4-2.el7                base       53 k
 libnfnetlink               x86_64   1.0.1-4.el7                base       26 k
 libselinux-devel           x86_64   2.2.2-6.el7                base      174 k
 libsepol-devel             x86_64   2.1.9-3.el7                base       71 k
 libverto-devel             x86_64   0.2.5-4.el7                base       12 k
 openldap-devel             x86_64   2.4.40-8.el7               base      799 k
 pcre-devel                 x86_64   8.32-15.el7                base      478 k
 sysvinit-tools             x86_64   2.88-14.dsf.el7            base       63 k

Transaction Summary
================================================================================
Install  11 Packages (+21 Dependent packages)

Total download size: 17 M
Installed size: 61 M
Downloading packages:
Traceback (most recent call last):
  File "/usr/libexec/urlgrabber-ext-down", line 22, in <module>
    from urlgrabber.grabber import \
  File "/usr/lib/python2.7/site-packages/urlgrabber/__init__.py", line 55, in <module>
    from grabber import urlgrab, urlopen, urlread
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 512, in <module>
    import pycurl
ImportError: libnspr4.so: failed to map segment from shared object: Permission denied


Exiting on user cancel
The command '/bin/sh -c yum install -y java-1.8.0-openjdk-devel python-devel zlib-devel
libcurl-devel openssl-devel cyrus-sasl-devel cyrus-sasl-md5 apr-devel subversion-devel apr-utils-devel
libevent-devel libev-devel' returned a non-zero code: 1
Build step 'Execute shell' marked build as failure

Mime
View raw message